Skip to main content
GET
https://enterprise.spacemedia.uk
/
api
/
v1
/
users
/
{uuid}
/
log
View User Audit Log
curl --request GET \
  --url https://enterprise.spacemedia.uk/api/v1/users/{uuid}/log \
  --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://enterprise.spacemedia.uk/api/v1/users/{uuid}/log', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://enterprise.spacemedia.uk/api/v1/users/{uuid}/log",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
import requests

url = "https://enterprise.spacemedia.uk/api/v1/users/{uuid}/log"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "success": true,
  "data": [
    {
      "id": "log_demo_001",
      "action": "Updated release",
      "section": "Releases",
      "ip": "203.0.113.10",
      "created_at": "2026-04-18T08:45:00+00:00"
    }
  ],
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 10,
    "total": 1,
    "from": 1,
    "to": 1
  }
}
{
  "success": false,
  "message": "Missing bearer token"
}
{
  "success": false,
  "message": "This action is unauthorized."
}
{
  "success": false,
  "message": "Resource not found"
}
{
  "success": false,
  "message": "Validation failed.",
  "errors": {
    "title": [
      "The title field is required."
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
string

Use application/json for API responses.

Authorization
string

Bearer access token. Use Bearer <YOUR_ACCESS_TOKEN>.

Path Parameters

uuid
string
required

Route identifier for uuid.

Query Parameters

Search log action, section, IP, or metadata.

date
string

Filter by date.

sort
string

Sort direction.

Response

Success

The response is of type object.